<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
<p id="demo"></p>
    <script>
        var personas = {
     primerNombre:"ARIANNA",
     segundoNombre: "LESLIE",
     id:"001",
     nombreCompleto: function(){

        return this.primerNombre + " " + this.segundoNombre;
     }

        };
        document.getElementById("demo").innerHTML= personas.nombreCompleto()
    </script>
    <script source="ejemplo.js"></script>
</body>
</html>